# Retrieve_All_Histories_From_Customer

Retrieve all histories associated with a customer.

`GET /v2/customers/{id}/histories`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Customers
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Customers/Retrieve_All_Histories_From_Customer/

## Description

Retrieve all histories associated with a customer.  Histories are generated internally and are read-only.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access your companies client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` |  | path | Yes | The id of the customer. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `CertificateGetHistory` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `CertificateGetHistory`

Certificate Model

| Property | Type | Required | Description |
|---|---|---|---|
| `account` | string | No | Account name of the user that made the change. Example: `My_user`. |
| `created` | string | No | DateTime of when the record was created. Example: `2017-10-26 12:41:48.377959`. |
| `field` | string | No | Field of certificate that was changed. Example: `Documented Exempt Reason`. |
| `new_value` | string | No | New value of the field. Example: `RESALE`. |
| `old_value` | string | No | Previous value of field. Example: `NULL`. |

## Example Request

```bash
curl -X GET "https://sbx-api.certcapture.com/v2/v2/customers/{id}/histories" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```